Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-4255

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2007-4255
Last Modified 05 Sep 2008 05:27:47
Published 08 Aug 2007 07:17:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2007-4255

Summary

Buffer overflow in the mSQL extension in PHP 5.2.3 allows context-dependent attackers to execute arbitrary code via a long first argument to the msql_connect function.

Vulnerable Systems

Application

  • Php 5.2.3


References

MILW0RM - 4260

XF - php-msql-connect-bo(35830)

BID - 25213

BUGTRAQ - 20070805 PHP mSQL (msql_connect) Buffer Overflow PoC


Last Updated: 27 May 2016 10:45:49